The Debian advisory says affected users need to disable hyper-threading “immediately” in their BIOS or UEFI settings, because the processors can “dangerously misbehave when hyper-threading is enabled.”

Symptoms can include “application and system misbehaviour, data corruption, and data loss”.

Henrique de Moraes Holschuh, who authored the Debian post, notes that all operating systems, not only Linux, are subject to the bug.

Source: Intel’s Skylake and Kaby Lake CPUs have nasty microcode bug

Here’s hoping your mobo supplier releases a BIOS / UEFI update soon…